MK-BUILD-DEPS.DE(1)

BEZEICHNUNG
mk-build-deps - baut ein Paket, das die Bauabhängigkeiten eines Pakets erfüllt

ÜBERSICHT
mk-build-deps --help|--version

mk-build-deps [Optionen] Steuerungsdatei | Paketname …

BESCHREIBUNG
Bei einem angegebenen Paketnamen und/oder einer Steuerungsdatei wird mk-build-deps equivs verwenden, um ein Binärpaket zu erstellen, das installiert werden kann, um die gesamten Bauabhängigkeiten des angegebenen Pakets zu erfüllen.

Falls --build-dep und/oder --build-indep angegeben wurden, wird das resultierende Biärpaket ausschließlich von den Build-Depends- beziehungsweise Build-Depends-Indep-Abhängigkeiten abhängen.

OPTIONEN

-i, --install
    installiert die erstellten Pakete und ihre Bauabhängigkeiten.

-t, --tool
    benutzt, wenn das erstellte Paket installiert wird, das angegebene Werkzeug. (Vorgabe: apt-get -o Debug::pkgProblemResolver=yes --no-install-recommends)

-r, --remove
    entfernt die Paketdatei nachdem sie installiert wurde. Es wird ignoriert, falls es ohne den Schalter --install benutzt wird.

-a foo, --arch foo
    setzt die Architektur auf das erstellte Binärpaket von foo. Falls diese Option nicht angegeben wurde, wird auf den durch --host-arch angegebenen Wert zurückgegriffen. Falls beides nicht angegeben wurde, Build-Depends jedoch Baubeschränkungen enthält, wird der von »dpkg-architecture -qDEB_HOST_ARCH« ausgegebene Wert verwendet. Ansonsten wird all benutzt.

    Die Paketarchitektur muss der Rechnerarchitektur entsprechen, es sei denn, die Paketarchitektur ist all.

    Die Paketarchitektur kann nicht all sein, falls sich Bau- und Rechnerarchitektur unterscheiden.

--host-arch foo
    setzt die Rechnerarchitektur, für die das Binärpaket gebaut wird. Dies ist standardmäßig der Wert, der von »dpkg-architecture -qDEB_HOST_ARCH« ausgegeben wird. Verwenden Sie diese Option, um ein Binärpaket zu erstellen, das Crossbuild-Abhängigkeiten erfüllen kann.

    Falls diese Option zusammen mit --arch benutzt wird, muss sie mit dieser übereinstimmen, es sei denn, --arch ist all.

    Falls --arch nicht angegeben ist, setzt diese Option auch die Paketarchitektur.

--build-arch foo
    setzt die Bauarchitektur, für die das Binärpaket gebaut werden soll. Dies ist standardmäßig der Wert, der von »dpkg-architecture -qDEB_HOST_ARCH« ausgegeben wird. Verwenden Sie diese Option, um ein Binärpaket zu erstellen, das Crossbuild-Abhängigkeiten erfüllen kann.

-B, --build-dep
    erstellt ein Paket, das nur von den Build-Depends-Abhängigkeiten des Quellpakets abhängt.

-A, --build-indep
    erstellt ein Paket, das nur von den Build-Depends-Indep-Abhängigkeiten des Quellpakets abhängt.

-P, --build-profiles profile[,...]
    Generate a package which only depends on build dependencies with the build profile(s), given as a comma-separated list. The default behavior is to use no specific profile. Setting this option will override the DEB_BUILD_PROFILES environment variable.

-h, --help
    zeigt eine Zusammenfassung der Optionen.

-v, --version
    zeigt die Version und Copyright-Informationen.

-s, --root-cmd
    verwendet das angegebene Werkzeug, um für die Installation Root-Rechte zu erlangen. Dies wird ignoriert, falls es ohne den Schalter --install benutzt wird.

UMGEBUNGSVARIABLEN

  External environment

DEB_BUILD_PROFILES
    If set, it will be used as the active build profile(s) for the build dependencies to be installed. It is a space separated list of profile names. Overridden by the -P option.

AUTOR
mk-build-deps unterliegt dem Copyright von Vincent Fourmond und wurde für das Devscripts-Paket durch Adam D. Barratt <adam@adam-barratt.org.uk> verändert.

Für dieses Programm besteht KEINERLEI GARANTIE. Es ist Ihnen erlaubt, diesen Code unter den Bedingungen der GNU General Public License, Version 2 oder später, weitergeben.